## python-pot 0.7.0+dfsg

=== Makefile ===


PYTHON=python3
branch := $(shell git symbolic-ref --short -q HEAD)



help :
	@echo "The following make targets are available:"
	@echo "    help - print this message"
	@echo "    build - build python package"
	@echo "    install - install python package (local user)"
	@echo "    sinstall - install python package (system with sudo)"
	@echo "    remove - remove the package (local user)"
	@echo "    sremove - remove the package (system with sudo)"
	@echo "    clean - remove any temporary files"
	@echo "    notebook - launch ipython notebook"

build :
	$(PYTHON) setup.py build

buildext :
	$(PYTHON) setup.py build_ext --inplace

install :
	$(PYTHON) setup.py install --user

sinstall :
	sudo $(PYTHON) setup.py install

remove :
	$(PYTHON) setup.py install --user --record files.txt
	tr '\n' '\0' < files.txt | xargs -0 rm -f --
	rm files.txt

sremove :
	$(PYTHON) setup.py install  --record files.txt
	tr '\n' '\0' < files.txt | sudo xargs -0 rm -f --
	rm files.txt

clean : FORCE
	$(PYTHON) setup.py clean

pep8 :
	flake8 examples/ ot/ test/

test : FORCE pep8
	$(PYTHON) -m pytest -v test/ --doctest-modules --ignore ot/gpu/  --cov=ot --cov-report html:cov_html
	
pytest : FORCE 
	$(PYTHON) -m pytest -v test/ --doctest-modules --ignore ot/gpu/  --cov=ot

release :
	twine upload dist/*

release_test :
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

rdoc :
	pandoc --from=markdown --to=rst --output=docs/source/readme.rst README.md
	sed -i 's,https://pythonot.github.io/auto_examples/,auto_examples/,g' docs/source/readme.rst 
	pandoc --from=markdown --to=rst --output=docs/source/releases.rst RELEASES.md
	sed -i 's,https://pot.readthedocs.io/en/latest/,,g' docs/source/releases.rst
	sed -i 's,https://github.com/rflamary/POT/blob/master/notebooks/,auto_examples/,g' docs/source/releases.rst 
	sed -i 's,.ipynb,.html,g' docs/source/releases.rst 
	sed -i 's,https://pythonot.github.io/auto_examples/,auto_examples/,g' docs/source/releases.rst

notebook :
	ipython notebook --matplotlib=inline  --notebook-dir=notebooks/
	
bench : 
	@git stash  >/dev/null 2>&1
	@echo 'Branch master'
	@git checkout master >/dev/null 2>&1
	python3 $(script)
	@echo 'Branch $(branch)'
	@git checkout $(branch) >/dev/null 2>&1
	python3 $(script)
	@git stash apply >/dev/null 2>&1
	
autopep8 :
	autopep8 -ir test ot examples --jobs -1

aautopep8 :
	autopep8 -air test ot examples --jobs -1
	
wheels :
	CIBW_BEFORE_BUILD="pip install numpy cython" cibuildwheel --platform linux --output-dir dist

dist : wheels
	$(PYTHON) setup.py sdist


pydocstyle :
	pydocstyle ot

FORCE :

=== requirements.txt ===
numpy
scipy>=1.3
cython
matplotlib
autograd
pymanopt==0.2.4; python_version <'3'
pymanopt; python_version >= '3'
cvxopt
scikit-learn
pytest

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/POT.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/POT.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/POT"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/POT"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
sphinx_gallery
sphinx_rtd_theme
numpydoc
memory_profiler
pillow
networkx

## python-pot 0.7.0%2Bdfsg

=== debian/control ===
Source: python-pot
Maintainer: Gard Spreemann <gspr@nonempty.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-numpy,
               python3-scipy,
               python3-setuptools
Rules-Requires-Root: no
Homepage: https://pythonot.github.io/
Vcs-Browser: https://salsa.debian.org/gspr/python-pot
Vcs-Git: https://salsa.debian.org/gspr/python-pot.git -b debian/sid

Package: python3-pot
Section: python
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-sklearn
Description: Python optimal transport library
 Python library with solvers for optimization problems related to
 optimal transport in for example signal and image processing, and machine
 learning.

## python-pot 0.7.0+dfsg

=== debian/changelog ===
python-pot (0.7.0+dfsg-3) unstable; urgency=medium

  * Move git to Salsa.
  * Start upstream metadata file.
  * Standards-version 4.5.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 24 Jan 2021 13:50:05 +0100

python-pot (0.7.0+dfsg-2) unstable; urgency=medium

  * Require Scikit-learn for tests.
  * Recommend Scikit-learn as some functionality uses it.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 09 Jul 2020 18:08:26 +0200

python-pot (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 09 Jul 2020 08:51:54 +0200

python-pot (0.6.0+dfsg-2) unstable; urgency=medium

  * Watch file.
  * DH compat 13.
  * Fix tests that were trivially passing.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 08 Jul 2020 20:53:59 +0200

python-pot (0.6.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #949381)

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 25 Apr 2020 17:23:23 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = pot

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -f ot/lp/emd_wrap.cpp

# Some of the build-time tests assume the existence of cupy, so we
# currently disable all test.
override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/POT-?(\d\S+)\.tar\.gz/python-pot-$1\.tar\.gz/,\
  dversionmangle=s/\+dfsg(\.\d+)?$//,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/PythonOT/POT/releases .*/archive/(\d\S+)\.tar\.gz

## python-pot 0.8.1.0+dfsg

=== requirements.txt ===
numpy>=1.20
scipy>=1.3
cython
matplotlib
autograd
pymanopt==0.2.4; python_version <'3'
pymanopt==0.2.6rc1; python_version >= '3'
cvxopt
scikit-learn
torch
jax
jaxlib
tensorflow
pytest

=== docs/Makefile ===
--- 
+++ 
@@ -57,6 +57,11 @@
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
+html-noplot:
+	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	@echo
+	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+
 .PHONY: dirhtml
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml

=== debian/changelog ===
python-pot (0.8.1.0+dfsg-1ubuntu1) jammy; urgency=medium

  * Do not test the wminkowski distance function which
    was removed in scipy 1.8

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 04 Apr 2022 16:59:18 +0000

python-pot (0.8.1.0+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:12:37 +0000

python-pot (0.8.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed patch for avoiding benchmark installation.
  * Drop uupdate from watch file.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 31 Dec 2021 14:31:12 +0100

python-pot (0.8.1+dfsg-3) unstable; urgency=medium

  * Greatly simplify patch that avoids installing benchmarks.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 31 Dec 2021 11:27:37 +0100

python-pot (0.8.1+dfsg-2) unstable; urgency=medium

  * Add patch to remove benchmarks. (Closes: #1002879)

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 31 Dec 2021 10:47:43 +0100

python-pot (0.8.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Cite paper in metadata.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 29 Dec 2021 20:05:46 +0100

python-pot (0.8.0+dfsg-3) unstable; urgency=medium

  * Generate NumPy ABI dependency (Closes: #1000708).

 -- Gard Spreemann <gspr@nonempty.org>  Sat, 27 Nov 2021 16:31:18 +0100

python-pot (0.8.0+dfsg-2) unstable; urgency=medium

  * Skip test meant to be run from uninstalled sources.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 10 Nov 2021 07:30:59 +0100

python-pot (0.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Remove unclearly licensed example data files.
  * Standards-version 4.6.0.1. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Tue, 09 Nov 2021 17:17:20 +0100

python-pot (0.7.0+dfsg-4) unstable; urgency=medium

  * Fix watch file.
  * Fix upstream metadata file.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 15 Aug 2021 12:03:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-pot
-Maintainer: Gard Spreemann <gspr@nonempty.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_NAME = pot
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with numpy3,python3 --buildsystem=pybuild
 
 execute_after_dh_auto_clean:
 	rm -f ot/lp/emd_wrap.cpp

## python-pot 0.8.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -45,10 +45,10 @@
 	flake8 examples/ ot/ test/
 
 test : FORCE pep8
-	$(PYTHON) -m pytest -v test/ --doctest-modules --ignore ot/gpu/  --cov=ot --cov-report html:cov_html
+	$(PYTHON) -m pytest --durations=20 -v test/ --doctest-modules --ignore ot/gpu/  
 	
 pytest : FORCE 
-	$(PYTHON) -m pytest -v test/ --doctest-modules --ignore ot/gpu/  --cov=ot
+	$(PYTHON) -m pytest --durations=20 -v test/ --doctest-modules --ignore ot/gpu/  
 
 release :
 	twine upload dist/*

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 numpy>=1.20
 scipy>=1.3
-cython
 matplotlib
 autograd
 pymanopt==0.2.4; python_version <'3'

=== debian/changelog ===
python-pot (0.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch for SciPy 1.8 (fixed upstream).
  * Enable pybuild's pyproject plugin for PEP 517 building.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 27 Apr 2022 12:36:49 +0200

python-pot (0.8.1.0+dfsg-2) unstable; urgency=medium

  * Add patch to stop testing weighted Minkowski metric, which is removed
    in Scipy 1.8 (thanks to Graham Inggs).

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 06 Apr 2022 11:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-pot
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gard Spreemann <gspr@nonempty.org>
+Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
 Standards-Version: 4.6.0.1
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-numpy,
                python3-scipy,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 #export DH_VERBOSE = 1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME = pot
+export PYBUILD_SYSTEM = pyproject
 
 %:
 	dh $@ --with numpy3,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  dversionmangle=s/\+dfsg(\.\d+)?$//,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/PythonOT/POT/releases \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian

## python-pot 0.9.0+dfsg

=== requirements.txt ===
numpy>=1.20
scipy>=1.3
matplotlib
autograd
pymanopt
cvxopt
scikit-learn
torch
jax
jaxlib
tensorflow
pytest

=== debian/changelog ===
python-pot (0.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh copyright information.
  * Standards-version 4.6.2.0. No changes needed.
  * Add repack suffix in watch file.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 14 Jun 2023 16:57:29 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  dversionmangle=s/\+dfsg(\.\d+)?$//,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
  repacksuffix=+dfsg \
  https://github.com/PythonOT/POT/releases \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-pot 0.9.3%2Bdfsg

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    dversionmangle=s/\+dfsg(\.\d1+)?$//, \
    uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
    https://github.com/PythonOT/POT/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-pot 0.9.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 	$(PYTHON) setup.py clean
 
 pep8 :
-	flake8 examples/ ot/ test/
+	flake8 examples/ ot/ test/ --count --max-line-length=127 --statistics --show-source
 
 test : FORCE pep8
 	$(PYTHON) -m pytest --durations=20 -v test/ --doctest-modules --ignore ot/gpu/

=== requirements.txt ===
numpy>=1.20
scipy>=1.6
matplotlib
autograd
pymanopt
cvxopt
scikit-learn
torch
jax
jaxlib
tensorflow
pytest
torch_geometric
cvxpy
geomloss
pykeops

=== docs/requirements.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 memory_profiler
 pillow
 networkx
+myst-parser

=== debian/changelog ===
python-pot (0.9.3+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:58:02 +0000

python-pot (0.9.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 07 Feb 2024 07:47:16 +0100

python-pot (0.9.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 28 Dec 2023 13:11:31 +0100

python-pot (0.9.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Gard Spreemann <gspr@nonempty.org>  Sun, 03 Sep 2023 19:53:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2.0
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,

## python-pot 0.9.4+dfsg

=== debian/changelog ===
python-pot (0.9.4+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Add patch to use raw strings for docstrings that contain TeX
    macros. (Closes: #1076376)
  * Refresh patch.
  * Update copyright information.
  * Add repacksuffix to d/watch.
  * Standards-version 4.7.0.0. No changes needed.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 26 Jul 2024 15:20:20 +0200

python-pot (0.9.3+dfsg-2) unstable; urgency=medium

  * Add patch to work around bug #1068647 until upstream fixes the issue
    properly. (Closes: #1068647)

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 18 Apr 2024 14:44:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Gard Spreemann <gspr@nonempty.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.0.0
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-python,

## python-pot 0.9.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 	autopep8 -air test ot examples --jobs -1
 	
 wheels :
-	CIBW_BEFORE_BUILD="pip install numpy cython" cibuildwheel --platform linux --output-dir dist
+	cibuildwheel --platform linux --output-dir dist
 
 dist : wheels
 	$(PYTHON) setup.py sdist

=== docs/Makefile ===
--- 
+++ 
@@ -50,6 +50,8 @@
 .PHONY: clean
 clean:
 	rm -rf $(BUILDDIR)/*
+	rm -rf source/gen_modules/*
+	rm -rf source/auto_examples/*
 
 .PHONY: html
 html:

=== debian/changelog ===
python-pot (0.9.5+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:51:19 +0000

python-pot (0.9.5+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Drop patch for raw docstrings, upstreamed.
  * Refresh tolerance patch.
  * Standards-version 4.7.1.1. No changes needed.
  * Refresh copyright information.

 -- Gard Spreemann <gspr@nonempty.org>  Mon, 24 Feb 2025 11:21:30 +0100

=== debian/tests/control ===
Tests: upstream.sh
Depends: python3-all, python3-pot, python3-pytest, python3-sklearn
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
    dversionmangle=s/\+dfsg(\.\d1+)?$//, \
    uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, \
    repacksuffix=+dfsg" \
    https://github.com/PythonOT/POT/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
